Probe, All Tip of the Day

LightBulb.gif (1120 bytes)
All 'Tip of the Day' in Probe

This help file is used by Probe when displaying a 'Tip of the Day'. By opening this file, the tips can be browsed with a better overview.

The tips have been loosly organized by category here, and the free text search of HTMLHelp can be used to locate a topic.


FramesSystemFM

LightBulb.gif (1120 bytes)
TOD: Frame System

This section contain tips on how to use the Probe main window Frame System.


Folder Browsers

LightBulb.gif (1120 bytes)
Probe Tips: Folder Browsers

This section contain tips on how to use Folder Browsers in Probe.


Compressed Archives

LightBulb.gif (1120 bytes)
TOD: Compressed Archives

This section contain tips on how to handle compressed archives in Probe.


FTP

LightBulb.gif (1120 bytes)
TOD: FTP

This section contain tips on how to handle FTP connections in Probe.


FramesSystemFM

LightBulb.gif (1120 bytes)
TOD: Tools

This section contain tips on how to use various file management tools shipped with Probe.


Miscellaneous

LightBulb.gif (1120 bytes)
TOD: Miscellaneous

This section contain mixed style tips on how to use Probe.


AdvancedSel

LightBulb.gif (1120 bytes)
Did You Know...

To select files using filename wildcards, one can open the Select Files dialog by invoking item Select... from the Edit pulldown menu, or by pressing Num-Plus. From this dialog one can go to the File Selection - Advanced dialog by pressing Advanced....

The Advanced File Selection dialog allows for selecting files using one or more criterion:

  1. A filename wildcard and filename length criteria.
  2. A date interval for the files to be selected. Creation, Last Access and Last Modify Date.
  3. A size interval to be matched by selected files.
  4. An file attribute criteria, allowing for filtering out only files with certain file attributes set or cleared.


AdvancedSelRec

LightBulb.gif (1120 bytes)
Did You Know...

SelectRecVDrive.gif (9957 bytes) When opening the Advanced File Selection dialog from a certain folder, files can be selected within subfolders in one of three ways. The setting Recursive Selections (right) controls this:

1 - only in visible folder - This setting performs the selection only within the folder from which the dialog was opened.

2 - in hilighted subfolders - This performs the selection within those subfolders that have been hilighted (selected) before opening the dialog.

3 - in all subfolders - This performs the selection in all subfolders of the folder from which the dialog was started.


AdvancedSelVDrive

LightBulb.gif (1120 bytes)
Did You Know...

SelectRecVDrive.gif (9957 bytes) Usually when using Probe to select files across many folders, we don't want the selection process to look inside Zip archives, FTP connections, ...etc. Such storage type boundaries are termed VDrives in Probe.

In the situations where one want Probe to cross storage type boundaries during the selection process, one has to use the setting Recurse into VDrives.

1 - stop the recursion - This setting causes the selection process not to look within VDrives. It is the default.

2 - enter one VDrive level - With this setting, the selection process will enter for example a Zip archive, but if it encounters another archive within the Zip archive, it will not enter.

3 - perform full recursion - This setting cause the selection process to go into all compressed archives, remote connections, ...etc, during the selection process. This can potentially be very time consuming.


ColumnHeaders

LightBulb.gif (1120 bytes)
Did You Know...

If your're not using a Tree Browser in the Probe main window layout, you can still navigate using a popup Tree Browser by pressing Alt-F1 or Alt-F2.

When using a dual Folder Browser configuration, Alt-F1 opens a popup Tree Browser for the left/upper browser and Alt-F2 opens one for the right/lower browser.


AltF7

LightBulb.gif (1120 bytes)
Did You Know...

To compress a number of files to a compressed archive (ZIP, ACE, RAR, ARJ, CAB, TAR, GZ, Z, JAR), for example when doing backup, do as follows:

  • Select all files and folders to be compressed.
  • Right click the selected items, and select popup menu item Compress. This item is close to the bottom of the file popup menu. The compression command is also available through accelerator Alt-F7.
  • The Archive Compression dialog now appears. Select which type of archive to create, the archive name, the target folder, and optionally archive specific options.
  • When pressing OK, Probe starts compressing the files in a separate thread of execution.


AltF9

LightBulb.gif (1120 bytes)
Did You Know...

If you want to extract a compressed archive (ZIP, ACE, RAR, ARJ, CAB, TAR, GZ, Z, JAR) then position the Folder Browser cursor on top of the archive, open the file popup menu and select the menu item Expand Archive(s). Alternatively press the keyboard accelerator Alt-F9.

To extract a number of compressed archives, select all the archives and press Alt-F9. All selected archives must be of the same type though.


AltLAltR

LightBulb.gif (1120 bytes)
Did You Know...

In a Folder Browser one can return to the previously visited folder by pressing Alt-Left Arrow. To go forward in the path history one presses Alt-Right Arrow.

These commands are also available on the toolbar buttons AltLAltR.gif (1061 bytes) .

To view a list of previously visited folders, press Ctrl-H (as in History).


AttribsShiftF3

LightBulb.gif (1120 bytes)
Did You Know...

To change the file attributes for a selection of files in Probe, one can use the File Attributes... command located in the Tools pulldown menu. This allows for modifying the file attributes for a single- or multi- folder selection of files. The command is also available using keyboard accelerator Shift-F3.


Backspace

LightBulb.gif (1120 bytes)
Did You Know...

When active in a Folder Browser, one can press the Backspace key to move to the folder above.

Pressing Ctrl-Backspace navigates to the root of the current storage media.

Pressing Ctrl-Shift-Backspace goes to the absolute root folder, that is, the Desktop folder..


CancelDD

LightBulb.gif (1120 bytes)
Did You Know...

To cancel a Drag&Drop operation while in progress, press Escape. If dragging files using the left mouse button, pressing the right button will also cancel the operation, and vice versa.


CmdPrompt

LightBulb.gif (1120 bytes)
Did You Know...

To run a DOS command from within Probe, the Command Prompt frame can be used.

CmdPrompt.gif (3432 bytes)

To open a Command Prompt, create some free main window area, right click in this area and select New Command Prompt from the popup menu.

From a Folder Browser, press Ctrl-D to activate the command prompt frame, or click within it. Then edit the command to be executed. When pressing Enter, Probe runs the command (from the directory of the Folder Browser) in a popup DOS/CMD window, and waits for a key press before closing the output window.


ColumnHeaders

LightBulb.gif (1120 bytes)
Did You Know...

The header of a column in a Folder Browser can be dragged to resize the column, and clicked to sort the files accordingly.

Probe also provides access to column specific setting when right clicking a column header. Below, the Date column header has been clicked. A choice of which date type to display, how to format the date output and a sorting command is displayed in the popup menu.

ColumnHeaders.gif (5589 bytes)


ColumnHeadersIcon

LightBulb.gif (1120 bytes)
Did You Know...

When left clicking the header for the icon column in a Folder Browser, items in a Folder Browser are sorted by file type.

ColumnHeadersIcon.gif (7766 bytes) Since there may be many files of the same type in a given directory, Probe provides a second sort criterion. Files can be sorted:

  • First by Type, then by Name
  • First by Type, then by Size
  • First by Type, then by Date

Right clicking the icon column header provides access to these sorting methods.


Companions

LightBulb.gif (1120 bytes)
Did You Know...

Probe uses the concept of companion browsers. This is a pair of Folder Browsers that are used as source and target folders in file operations. Pressing TAB when active in one member of the pair, the other Folder Browser is activated.

Say we want to copy files from C:\My Documents to D:\Backup. Then one can point one of the browsers to the first directory, and the other one to the second directory. When starting a copy operation using keyboard accelerator F5, the target folder is by default the other Folder Browser in the compainion pair.

Other file operation commands using the companion browser concept are:

F6 Move Files
F9 Selection Information
Alt-F7 Compress Files to Archive
Alt-F9 Expand Compressed Archives
Alt-F1,
Alt-F2 Activate popup folder selector
Ctrl-F1,
Ctrl-F2 Activate popup drive selector


CompressionIcons

LightBulb.gif (1120 bytes)
Did You Know...

Probe can optionally install icons for all supported types of compressed archives (ZIP, RAR, ARJ, ACE, CAB, JAR, GZ, TAR, TGZ, TAZ, Z). To control which icons should be set by Probe, use the main window pulldown menu Settings, item Compression.


ContextHelp

LightBulb.gif (1120 bytes)
Did You Know...

Most dialogs in Probe have context sensitive help. To get help for an item in a Probe dialog:

1 - Click the 'Question Mark' button DlgHlp04.gif (892 bytes) in the dialog caption. The mouse cursor turns into a question mark.

Context1Small.gif (8642 bytes)

2 - With this mouse cursor, click the item/control for which you want help. In the figure below, the item This Level is about to be clicked.

Context2Small.gif (8671 bytes)

3 - A popup window containing help text for the clicked item is now shown (see below). There's also a button with text More Help. Clicking this button opens the Probe help file on a related section.

Context3Small.gif (10504 bytes)


CopyDisk

LightBulb.gif (1120 bytes)
Did You Know...

To copy a disk (a floppy disk, a ZIP drive disk, ...), open the Tools pulldown menu in the Probe main window, and select menu item Copy Disk.

If you cannot see the Tools pulldown menu in the Probe main window, click in a Folder Browser, and it will reappear.

Another way of doing this is to browse to My Computer, right click the drive containing the disk to copy, and then invoking file popup menu item Copy Disk.


CreateFTP

LightBulb.gif (1120 bytes)
Did You Know...

CreateFTP.gif (14950 bytes) New FTP connections are created from the New Folder dialog. Press F7 to open this dialog or click NewFolderButton.gif (982 bytes) .

In the New Folder dialog, select type FTP Folder. After providing a name for the connection, and pressing OK, the FTP Settings dialog allows for specifying connection data.


Ctrl-A

LightBulb.gif (1120 bytes)
Did You Know...

To select all files in a Folder Browser (where files are listed), you can press Ctrl-A. To deselect all files of the current directory, press Ctrl-Q.

File selection/deslection commands are also available in the main window Edit pulldown menu, and from the toolbar buttons SelDeselButtons.gif (1031 bytes) .


CtrlF

LightBulb.gif (1120 bytes)
Did You Know...

When active in a Folder Browser or Tree Browser, and pressing Ctrl-F, the Probe File Search dialog is opened. This command is also available in the Edit pulldown menu, item Find Files.

SearchDlgTreeSmall.gif (19442 bytes) A file search criterion based on filename wildcard, file size, file date, file attributes and file contents helps locating files that are either presented in a list output form, or a tree structure output form.


CtrlF1F2

LightBulb.gif (1120 bytes)
Did You Know...

CtrlF1F2.gif (19052 bytes) When pressing Ctrl-F1 and Ctrl-F2 in a Folder Browser, a popup drive selector is shown. Click the drive which you want to navigate to.

When using a dual Folder Browser configuration, Ctrl-F1 opens a popup drive selector for the left/upper browser and Ctrl-F2 opens one for the right/lower browser.


Ctrl-G

LightBulb.gif (1120 bytes)
Did You Know...

Probe can handle selections in many directories simultaneously. Such a selection is termed a multi-folder or a recursive selection.

When pressing Ctrl-G, all files in all folders are deselected.

File selection/deslection commands are also available in the main window Edit pulldown menu.


Ctrl-I

LightBulb.gif (1120 bytes)
Did You Know...

To invert the selection status of all files and all folders in the active Folder Browser, press Ctrl-I. The command can also be found in the Edit pulldown menu, item Invert Selection


CtrlN

LightBulb.gif (1120 bytes)
Did You Know...

To rename the file or folder at the cursor in a Folder or Tree Browser, one can use the file popup menu command Rename. One can also invoke the rename command by pressing Ctrl-N or function key F2, or optionally single clicking the file with the left mouse button.


NumPlus

LightBulb.gif (1120 bytes)
Did You Know...

You can use filename wildcards to select and deselect files in Probe.

The dialog for wildcard selection is opened by pressing the plus button on the numeric keypad, that is Num+.

The wildcard deselection dialog is opened using the minus button on the numeric keypad, that is Num-.

These commands can also be found in the Edit pulldown menu, items Select..., Deselect....

FileSelSimple.gif (4382 bytes)


Ctrl-R

LightBulb.gif (1120 bytes)
Did You Know...

When active in a Folder Browser, one can press Ctrl-R to force the displayed contents to be refreshed. This command is also available on the toolbar, button RefreshButton.gif (991 bytes)

This will refresh the file listing, regardless whether currently displaying a local disk folder, a compressed archive folder, a networked folder, a remote FTP folder, ..etc.


CtrlTabTree

LightBulb.gif (1120 bytes)
Did You Know...

A Tree Browser can be used to control the folder being displayed in a Folder Browser. When active in a Folder Browser, pressing Ctrl-TAB activates the associated Tree Browser.


DatePresentation

LightBulb.gif (1120 bytes)
Did You Know...

DatePresentation.gif (6143 bytes) Probe can present file dates using in long or short form. Using short form, Probe only displays the year, month and day of the date, in long form hours and minutes are also presented.

Adjust this setting by right clicking the Date column header and opening the Format submenu.


DateType

LightBulb.gif (1120 bytes)
Did You Know...

DateType.gif (2286 bytes) Files within Win32 file systems have three different types of dates associated with them:

  • Last Modify Date
  • Last Access Date
  • File Creation Date

Probe defaults to showing Last Modified date for files. The type of date being displayed in a Folder Browser can be modified by right clicking the Date column header.


DisabShellFolders

LightBulb.gif (1120 bytes)
Did You Know...

Folders such as Recycle Bin, Favorites and Internet History primarily represent different user services rather than disk storage. They are often termed Shell Folders and usually have an icon different from the ordinary folder icon.

When a Shell Folder is located within an ordinary disk, there's an option to browse the folder as ordinary disk storage rather than as a user service. This option is available from the Settings menu, item Browsers, group Shell Folder OLE Browsing, item Disable shell folders in fixed drives.


DiskCustomCmd

LightBulb.gif (1120 bytes)
Did You Know...

The Disk Custom Command functionality can be used to execute a set of DOS/CMD commands on a selection of files in Probe. This combines the strength of command-line processing with the intuitive file selection capabilities of Probe:

1 - In a Folder Browser, select the files to be processed. This can be a single folder selection, or a multi folder selection.

2 - Invoke the item Disk Custom Command from the Tools pulldown menu, or press Shift-F5.

3 - Edit the DOS/CMD command to be applied on each selected file. The token %f is replaced with each of the files within the current selection.

4 - After pressing OK, the batch command file constructed by Probe can be inspected and modified in a new dialog.

5 - After pressing OK in this dialog, the command batch file is executed.


DiskMntr

LightBulb.gif (1120 bytes)
Did You Know...

DiskMntr.gif (7748 bytes) The Disk Monitor is a Probe component that provides overview of disk space usage, and also provides single click navigation to the disks of your choice.

To open a Disk Monitor, create some free main window area, right click in this area and select New Disk Monitor from the popup menu.

Each button in the Disk Monitor represents a disk. The darker area represent occupied space, while the lighter area indicates free disk space.

When holding the mouse cursor still atop a Disk Monitor button, summary information for the disk is displayed.

To navigate a Folder or Tree Browser to a certain disk, click the corresponding button in the Disk Monitor.


DiskMntrSelectDrives

LightBulb.gif (1120 bytes)
Did You Know...

DiskMntrDriveSelect.gif (5703 bytes) To select which drives (C:\, D:\, ...) are displayed in the Disk Monitor:

  1. Right click in the Disk Monitor to bring up its popup menu.
  2. Select the the item Drives...
  3. Check the drives to be displayed, then click OK.


DiskPerfAnalysis

LightBulb.gif (1120 bytes)
Did You Know...

Probe can measure the performance of local and networked drives. This measure is used when estimating time consumtion for large, time consuming file operations. To measure the performance for a drive:

1 - Point a Folder Browser so that it shows a folder within the drive to be tested.

2 - In the Disk pulldown menu (Storage Specific menu), there's an item Disk Settings. Invoke it.

3 - In the dialog with settings that is shown, there's a button Analyze Performance! When this button is pressed, the performance test is started. The test will read and write files to measure the performance, and usually takes around 10 secodns per disk.

From the main window Settings pulldown menu, item Performance, button Do Disk Performance Analysis Now, one can select the drives to analyze from a list box, and do disk performance analysis all of them.

NOTE: The result obtained by Probe is application level performance for the disk drive. This figure can sometimes vary significantly if the analysis is repeated.


DontSingleClickEdit

LightBulb.gif (1120 bytes)
Did You Know...

DontSingleClickEdit.gif (2978 bytes) To rename a file or folder in Probe, one can put the Folder Browser cursor ontop of a file, then single click the filename and start editing it.

If one finds this feature annoying, it can be disabled by unchecking the item Mouse Filename Edit in the menu that pops up by right-clicking the Name column header.


DragJumpDrop

LightBulb.gif (1120 bytes)
Did You Know...

Sometimes when dragging files, one find that the place where one intends to drop the files is not visible in any window. To help in this situation, Probe implements the concept Drag, Jump! & Drop.

To browse for a target folder while actually dragging files, press the Spacebar while holding the mouse cursor over a folder icon. This can be repeated any number of times, and functions in both Folder Browsers, Tree Browsers and Location Bars. When arriving at the intended target folder, the files are dropped as usual.


DropFOPDlg

LightBulb.gif (1120 bytes)
Did You Know...

When dragging files to a Folder Browser or a Tree Browser in Probe using the right mouse button, one can choose menu item Dialog, Copy Here or Dialog, Move Here. This displays the File Operation Dialog before actually starting the file operation. This allows for verifying the operation and finetuning its details.

DropFOPDlg.gif (4037 bytes)


DuplicateFile

LightBulb.gif (1120 bytes)
Did You Know...

To duplicate one or several files within the same directory:

  • Select the files to duplicate.
  • Press Ctrl-C and Ctrl-V to put the files in the clipboard and start the copy. Alternatively, drag the selected files and drop them in the same folder.
  • For each file, the Duplicate File dialog is shown. Use the edit box within the dialog to provide new names for each item.

DuplicateFile.gif (15235 bytes)


ExplorerLike

LightBulb.gif (1120 bytes)
Did You Know...

ECExplorer.gif (11115 bytes) You can make Probe emulate the functionality of MS Explorer, by opening the Extra Caption menu, and selecting the menu item Explorer Like. This will change the layout of the Probe main window so that it looks similar to MS Explorer.


F4

LightBulb.gif (1120 bytes)
Did You Know...

To open one or several files in a text editor, select them and then press F4. Probe opens them with Notepad.exe by default.

To change to another text editor, use the main window pulldown menu Settings, item Paths, and then modify the path of the text editor application.


F10

LightBulb.gif (1120 bytes)
Did You Know...

Sometimes one want to manually provide the path of a folder to browse. This can be done by pressing F10 or by selecting the Goto Path... command from the Storage Specific pulldown menu.

This opens a simple dialog which allows for editing a folder path. The path can be:

1 - A path relative the current folder, such as a subfolder name, or a path such as ../../MyProject/Images.

2 - A local disk relative path, such as C:\Drivers\Scanner or H:\SharedPrograms\NetShow.

3 - A server relative name, such as \\MyServer\ASharedFolder.

4 - A desktop relative path, such as My Computer\Control Panel.

5 - An FTP server relative path, such as /usr/local/bin or ~MyUserName or ~CDRom.


FileDatesShiftF4

LightBulb.gif (1120 bytes)
Did You Know...

Probe can be used to modify the file dates associated with files. Altough not an everyday file operation, it may come in handy some situations:

1 - Navigate a Folder Browser to the source folder containing the files for which to modify the date.

2 - Perform a file selection in this folder. It may be a multi-folder selection.

3 - In the Tools pulldown menu select the File Dates... command.

4 - Follow the instructions of the dialog. Three types of date are associated with each file: Creation Date, Last Access Date, Last Modify Date. Any of them can be modified if the underlying file system allows so.

NOTE: Modifying file dates is a highly specialized file operation. Use this functionality with caution.


FileFilter

LightBulb.gif (1120 bytes)
Did You Know...

FileFilterEdit.gif (9012 bytes) When using file-filters, only the files that match a certain set of criteria are displayed in a Folder Browser.

The file-filter criterion can be edited by pressing Ctrl-F4, or selecting the Edit File Filter... item from the Tools pulldown menu. It is similar to an advanced file selection criteria.

To activate the file-filter, Ctrl-F3 is pressed, or the menu item Toggle File Filter is selected from the Tools pulldown menu.

In the figure below, a file filter criterion *net*.h is used. Note that the color of the file cursor and the window caption reflects that the file-filter is active.

FileFilterActive.gif (3737 bytes)


FileLayout

LightBulb.gif (1120 bytes)
Did You Know...

The fields which are displayed for each file in a Folder Browser can be controlled from the White Area popup menu, submenu Layout.

FileLayout.gif (12105 bytes)
The items in the Single Line submenu are file layouts presented on a single line. The items in the Two Lines submenu are file layouts with large icons, and two lines of information fields.


FileSelector

LightBulb.gif (1120 bytes)
Did You Know...

In the Extra Caption pulldown menu, there's an item File Selector. When using this main window layout, Probe is a top level window that can be used to drag files to other MS Windows applications. When manipulating and opening many documents, this can be a way of speeding things up.

FileSelector.gif (25608 bytes)


FindFMultFTPArch

LightBulb.gif (1120 bytes)
Did You Know...

FindFRecVDrive.gif (9957 bytes) The previous tip described how to find files within a number of local disks. The same technique can be used to search for files within a number of compressed ZIP archives located in the same folder.

The setting in hilighted subfolders ensures that only some archives are searched, and the setting enter one VDrive level ensures that the interior of the archives are searched.

This technique of course applies to searching a number of FTP connections, a number of CAB archives, a number of file collectors, a number of shared folders under the Network Neighborhood folder, ...etc.


FindFMultVDrive

LightBulb.gif (1120 bytes)
Did You Know...

FindF_CDE.gif (3409 bytes) To search for files within some of the local disks (C:\, D:\, E:\), one can use the following pattern:

1 - Navigate one Folder Browser to the folder My Computer.

2 - Select the drives C:\, D:\, E:\.

3 - Invoke the Find Files item in the Edit pulldown menu, or press Ctrl-F.

4 - Edit the search criterion in the tabs of the Search dialog. Press >>Search!<< when wanting to start the search. FindFRecVDrive.gif (9957 bytes)

5 - In the Recursive Search section of the dialog, make sure the in hilighted subfolders item is set.

6 - In the Recursive into VDrives section, make sure the enter one VDrive level item is checked. This forces the search process to go into the disk drives, but not for example Zip archives located within them.

7 - Press Start now in the >>Search!<< tab.


FindFTree

LightBulb.gif (1120 bytes)
Did You Know...

When searching for files with Probe (Find Files in pulldown menu Edit or Ctrl-F), the result can either be presented in a listing or in a tree. Presenting search output in a tree is effective for visualizing the locations of the found items.

FindFTree.gif (14531 bytes)


FolderBrowser

LightBulb.gif (1120 bytes)
Did You Know...

FileLayoutSingleLine.gif (4757 bytes) A Folder Browser is the part of the Probe main window where the files of a single folder are listed.

The Probe main window may contain one, two or more Folder Browsers. This makes it easy to perform file operations involving a source and a target folder.

You can move the Folder Browser within the Probe main window, and reposition it, by clicking it's title bar and dragging it.


FOPAdvanced

LightBulb.gif (1120 bytes)
Did You Know...

When invoking a file copy or move operation either by keyboard accelerator F5, or by right mouse button Drag&Drop alternative Dialog, Copy Here or Dialog, Move Here, the File Operation dialog is opened.

When clicking the Advanced>> button in this dialog, it opens a previously hidden part that provide access to more settings controlling the file operation.

FOPAdvanced.gif (22964 bytes)


FOPAttribs

LightBulb.gif (1120 bytes)
Did You Know...

During Move and Delete operations, Probe usually queries before handling a file with any of the H, S, R file attributes (Hidden, System, Readonly). This notification dialog can be disabled from the File Operations Settings dialog.

Open the main window Settings pulldown menu, item File Operations, and then select the File Attributes tab to access this setting.


FOPDlg

LightBulb.gif (1120 bytes)
Did You Know...

FOPDlgSmall.gif (13988 bytes) When starting a file operation involving many files it is important to get things right the first time. To increase the control when doing complex file operations, the File Operation Dialog was designed (right).

The file operation dialog is displayed before starting a file operation, provided the operation is invoked with one of:

  • F5, F6 accelerators (Copy, Move)
  • Dragging files with the right mouse button, then dropping and selecting either
    • Dialog, Copy Here
    • Dialog, Move here )
  • Shift-Delete (Deleting files)

The file operation dialog controls a number of aspects of the operation:

  • How to handle subfolders in the file operation
  • It allows for browsing files included in the operation through the Selection Inspection dialog
  • It allows for finetuning options for threading, silent operation, order of files within operation, ...etc
  • It allows for selecting a Log Window where textual notifications are sent to


FOPMultiple

LightBulb.gif (1120 bytes)
Did You Know...

Probe can handle any number of file operations at the same time. If doing a lengthy backup operation, preparing a large compressed archive, transferring files using a slow network connection, ...etc, the main window of Probe is not locked by the file operations.

Each ongoing file operation started by Probe reports its progress in individual progress windows.


FOPNotify

LightBulb.gif (1120 bytes)
Did You Know...

All settings relating to file operations are available under the main window pulldown menu Settings, item File Operations.

If a file operation takes long time and one is active in another application when it completes, it can be nice to receive some sort of notification. Settings for this is available under the Notification tab of the File Operation Settings dialog.


FOPSilent

LightBulb.gif (1120 bytes)
Did You Know...

A Silent Mode file operation in Probe is one where all user interface activity during the operation is suppressed. Any dialogs for handling filename collisions, notifications, warning and errors, ...etc, that usually are handled during the operation are skipped.

FOPSilent.gif (2369 bytes)

The setting for activating Silent Mode file operations is available in the File Operation dialog, advanced part, or from the main window pulldown menu Settings, menu item File Operations, tab Operation.

To decide the outcome of a Silent Mode file operation, the Log Window can be used.


FOPSubfSettings

LightBulb.gif (1120 bytes)
Did You Know...

SubfSettings1.gif (2740 bytes) When including subfolders in a file operation, we often want the operation to act on all items within those subfolders. This way of handling subfolder contents is referred to as Treat as fully selected in Probe.

At other times, when doing multifolder selections, we only want to include the items within subfolders that are in a selected (hilighted) state. This would be the case if we had selected all *.gif and *.jpg files within a certain drive, and wanted to backup these files. This way of handling subfolder contents is referred to as Recursive selections.

SubfSettings.gif (7241 bytes) The setting for how subfolders is handled can be accessed from the White Area popup menu, or by right clicking the subfolders field in the main window status bar. It is also available from the File Operation dialog, shown before starting a file operation.


FrameCaption

LightBulb.gif (1120 bytes)
Did You Know...

In the three images to the right, the same Log Window is shown with different types of frame caption:

1 - A caption with a text title
2 - A handle that can be used to drag the frame
3 - Without any caption.

The caption type is controlled by right clicking the frame and checking item Drag Handle, or from the submenu Caption, Toolbar.
CapTitle.gif (1893 bytes)

CapDrag.gif (1974 bytes)

CapNone.gif (1907 bytes)


FrameDrag

LightBulb.gif (1120 bytes)
Did You Know...

To drag a frame within the Probe main window, press down the left mouse button over its drag handle. Then drag the frame to another place in the Probe main window.

FrameDrag1.gif (2693 bytes)

While dragging the frame, the mouse cursor turns into a cross symbol. Probe suggests new locations for the frame when moving the mouse. Drop the frame when a new position has been found.

FrameDrag2.gif (2544 bytes)


FrameDragEdge

LightBulb.gif (1120 bytes)
Did You Know...

EdgeDrag.gif (1982 bytes) To resize a frame in the Probe main window, position the mouse on top of one of its edges. As the mouse cursor turns into an arrow symbol, the edge of the frame can be dragged and resized.

EdgeSplit.gif (1978 bytes) To split an edge between two neighboring frames, double click the edge with the left or the right mouse button. The edges can then be dragged, and empty background area prepared.


FrameEdgeMore

LightBulb.gif (1120 bytes)
Did You Know...

UntangleEdge.gif (6285 bytes) When clicking the right mouse button in some frame in Probe, a popup menu appears. At the bottom of this menu, items controlling the frame are located. The item Untangle Edges will cause the frame to separate its edges from all neighboring frames.

In the image below, the edges for the Command Prompt frame has been separated from the edges of it's neighbors.

UntangledCPrmpt.gif (2216 bytes) To untangle a single 'hidden' frame edge from the one of the main window borders of Probe, the border can be double clicked, either with the left or the right mouse button.


FrameLogWnd

LightBulb.gif (1120 bytes)
Did You Know...

FTPLogWnd2.gif (9448 bytes) The Log Window is a Probe component that provides textual level feedback on file operations. Most of the time, most users have no need to keep an open Log Window, but there are some situations where the Log Window comes in handy.

1 - When doing FTP operations, the Log Window provides low level feedback on the communication with the FTP server.

2 - Input to and output from command-line helper utilities is sent to the Log Window.

3 - Notifications, warnings and errors during file operations are echoed to the Log Window.

4 - When doing Silent Mode file operations (operations where user interface activity is suppressed), the Log Window can be inspected after the file operation has completed, to decide if all went right.


FrameMaxMinClose

LightBulb.gif (1120 bytes)
Did You Know...

FrameMaxMinClose.gif (1757 bytes) Up in the right corner of the Probe main window, below the window caption, there are three buttons for maximizing, normalizing and closing frames.

When maximizing a frame, it fills up the entire Probe main window. Normalizing it returns to the normal frame layout. The close symbol closes the active frame.

These commands are also available from frame popup menus, available by right clicking frames.


FrameNew

LightBulb.gif (1120 bytes)
Did You Know...

NewFrame.gif (7786 bytes) Empty background space in the Probe main window is created by splitting frame edges and dragging them as described in the previous tips.

To create a new frame in the Probe main window, create some empty background space and then right click in this area. Probe shows a menu where the type of the new frame can be selected.


FramesSystemEC

LightBulb.gif (1120 bytes)
Did You Know...

LayoutSelectionSmall.gif (11436 bytes) The main window of Probe is divided into non-overlapping windows, or so called frames. Frames in the Probe main window can be created, resized, moved and closed.

The Extra Caption Menu (left) allows for quickly changing to another main window layout.


FramesSystemFM

LightBulb.gif (1120 bytes)
Did You Know...

The main window of Probe is divided into non-overlapping windows, or so called frames. Most commands for controlling individual frames are available under the Frames pulldown menu.

FramesPulldown.gif (20508 bytes)


FTPDisconnect

LightBulb.gif (1120 bytes)
Did You Know...

FTPDisconnect.gif (3354 bytes) When Probe has a connection open with an FTP server, the filename for the connection is shown using green color.

To close the connection with one or several FTP connections, select the connection file(s), open its (their) file popup menu and invoke the item Disconnect.

The Disconnect command is also available in the FTP menu (Storage Specific menu), when browsing folders within the connection.


FTPHostIntern

LightBulb.gif (1120 bytes)
Did You Know...

A special case of FTP server-to-server operations is when copying or moving files within a single FTP connection.

Probe will automatically try to set up a server-to-server operation in this case. If successful, file data will only be transfered within the remote server, providing an efficient means of managing files in a remote machine.

FTPSpe19.gif (2900 bytes)


FTPHostToHost

LightBulb.gif (1120 bytes)
Did You Know...

Probe can transfer files between two different FTP servers on the Internet. The files then travels the most efficient path between the two servers, they don't have to go through the local Probe FTP client. This feature is sometimes referred to as FXP.

When copying or moving files between two FTP connections, Probe automatically does FXP, provided that both servers agree to this.

Since two other machines are responsible for the data transfer during FXP, Probe cannot give detailed progress feedback. The progress window will only tick once for each file.

FTPSpe18.gif (3485 bytes)


FTPLogWnd

LightBulb.gif (1120 bytes)
Did You Know...

When connecting to FTP servers in Probe, one can use the Log Window to see more details on the communication with the server.

The Log Window is opened by preparing some empty background space in the Probe main window, right clicking in this space and selecting New Log Window.

FTPLogWnd.gif (10922 bytes)


FTPMultLogin

LightBulb.gif (1120 bytes)
Did You Know...

With Probe one can have several logins (connections) with the same FTP server at the same time. For example, one connection is used for download, one for upload, and one for browsing the contents of folders.

The number of current connections with the FTP server is shown in the window caption (2 logins below).

FTPMultLogin.gif (16093 bytes)


FTPResume

LightBulb.gif (1120 bytes)
Did You Know...

When doing FTP transfers using a congested connection, transfers are sometimes aborted. To help in this situation, Probe implements resumed up and downloads.

When Probe detects that a file with the same name as the one being up or downloaded already exists, Probe queries whether to append the file being up or downloaded to the tail of the existing one.

Most servers support resumed uploads, many also support resumed downloads.


FunctionBar

LightBulb.gif (1120 bytes)
Did You Know...

To speed up startup of file operations, the function keys F1, F2, ...F10 can be used in Probe. The Function Bar helps remembering these accelerators.

FuncBar.gif (4414 bytes)

It shows the current function key commands, together with a short form name of the command. When a keyboard qulifier such as Ctrl, Shift or Alt is pressed, the associated function key commands are shown.

To open a Function Bar, create some free main window area, right click in this area and select New Function Bar from the popup menu.


GotoComp

LightBulb.gif (1120 bytes)
Did You Know...

GotoComp.gif (6817 bytes) In the main window pulldown menu Tools, there's an item Goto Computer. Invoking this item opens a dialog which allows for typing the name of a computer or server in the local network. When pressing OK, Probe attempts to navigate to this computer.

NOTE: The first time this functionality is used, the network may have to be scanned.


HelpMenu

LightBulb.gif (1120 bytes)
Did You Know...

HelpMenu.gif (6026 bytes) The Help menu in the Probe main window contains a number of links into the Probe help file. The help file itself contains detailed information on all aspects of using Probe.

Tip of the Day | This opens the Tip of the Day window (this dialog).
Introduction | Link into the Probe help file. Presents features of Probe.
Getting Started | Link into the Probe help file. A tutorial on how to get started using Probe.
Frames | Link into the Probe help file. The internal windowing system of the Probe main window is referred to as the frames system.
Reference | Link into the Probe help file. The Reference Manual contains the most detailed documentation on using Probe.
Feedback & Bugreport | Link into the Probe help file. How to go about reporting bugs, and providing feedback and input on the functionality of Probe.
About Probe | This opens the About dialog, which shows Probe version information.


HideMenus

LightBulb.gif (1120 bytes)
Did You Know...

HideMenus.gif (7189 bytes) If you don't use the main window pulldown menus of Probe very much, they can be hidden from the Extra Caption menu, item Hide Menus. The pulldown menus can later on be restored using item Show Menus in the Extra Caption menu.

While the main window menus are hidden, they can still be accessed through the Extra Caption submenu Window Menus.

WindowMenus.gif (12410 bytes)


InspectSelection

LightBulb.gif (1120 bytes)
Did You Know...

In Probe one can work with file selections spanning many directories. Such a selection is termed a recursive selection or a multi-folder selection.

An example of such a multi-folder selection is all files with extension *.txt, *.doc within the C:\ drive that have been modified after a certain date.

After applying selections in several directories, the file popup menu item Inspect Selection can be applied. This opens a dialog allowing for browsing the selected files, exactly as they would be used within a file operation. This dialog can also be opened using keyboard accelerator F9.


KeyboardHelper

LightBulb.gif (1120 bytes)
Did You Know...

KeyboardHelper.gif (1437 bytes) To lookup keyboard accelerators, the Keyboard Helper can be used. It contains a button that, when pressed, displays a list of available keyboard accelerators, and a red text item showing the currently pressed keyboard qulifier.

KeyboardHelperOpen.gif (6871 bytes) The Keyboard Helper can either be used from within a Function Bar, or as a separate frame.

To open a Keyboard Helper, create some free main window area, right click in this area and select New Keyboard Helper from the popup menu.


LocBar

LightBulb.gif (1120 bytes)
Did You Know...

TheLocBar.gif (5481 bytes) The Location Bar is a Probe component that is used for accelerating folder navigation. It can hold shortcuts to any folder, file or Internet Bookmark that can be browsed from within Probe. It provides single click access to frequently used files and folders.

Items on the Location Bar are accessed by single clicking them. If it's some sort of folder, Probe opens that folder, if it's a file, Probe opens it using its associated program.

Items are added to the Location Bar by Drag&Drop.

From within a Folder or a Tree Browser, the keyboard accelerator Ctrl-L activates the Location Bar frame.


LocBarNewPopup

LightBulb.gif (1120 bytes)
Did You Know...

To create a new popup Location Bar that is initially empty, do as follows:

1 - Right click in a top level or popup Location Bar to bring up its popup menu.

2 - Invoke the command New Item...

3 - Edit a nickname for the new popup Location Bar, and optionally browse for a target folder. Press OK.

4 - A new popup Location Bar has now been created. To put items on it, drag the item over its LocBarTriangle.gif (845 bytes) symbol, hold the mouse cursor still, and the item can be dropped onto it.


LocBarPopupLocBars

LightBulb.gif (1120 bytes)
Did You Know...

To increase the number of items available from the Location Bar, Probe uses popup Location Bars, that is, Location Bars which pops up when clicking the LocBarTriangle.gif (845 bytes) symbol on a parent Location Bar.

LocBarPopup.gif (15575 bytes)

Popup Location bars are closed by clicking the LocBarClose.gif (867 bytes) symbol, or by opening another popup Location Bar, or by clicking in the Probe main window.

During Drag&Drop popup Location Bars are opened automatically when holding the mouse still atop of the LocBarTriangle.gif (845 bytes) symbol a short time.

The items on a single Location Bar need not be shortcuts to items in the same folder. This makes it easy to create a popup Location Bar that contain shortcuts to the most important folders and files of a given project, regardless of their actual physical location.


LocBarPopupMenu

LightBulb.gif (1120 bytes)
Did You Know...

LocBarPopupMenu.gif (11482 bytes) Commands relating to the Location Bar, and commands for modifying individual Location Bar items are available by right clicking on a Location Bar item.

To change the nickname presented for an item, or the file/folder pointed to by an item, the command Edit Label can be used.

All items on a Location Bar can be saved to a File Collector using the command Save to Collector.


MapNetworkDrive

LightBulb.gif (1120 bytes)
Did You Know...

To map a networked drive to a local drive letter, open the Tools pulldown menu in the Probe main window, and select menu item Map Network Drive.

If you cannot see the Tools pulldown menu in the Probe main window, click in a Folder Browser, and it will reappear.

The command Disconnect Network Drive is also available in the Tools menu.


NestedCompressed

LightBulb.gif (1120 bytes)
Did You Know...

A compressed archive located within another compressed archive is referred to as a nested compressed archive. An example is a TAR archive located within a ZIP archive.

The contents of nested archive compressed archives is accessed just like ordinary subfolders. File opening, Drag&Drop and other file operations all work as usual within nested compressed archives. Probe takes care of extracting required files in the background.

Probe can handle nested compressed archives to any depth.


NewFolder

LightBulb.gif (1120 bytes)
Did You Know...

To create a new folder, press keyboard accelerator F7. This functionality is also available through the toolbar button NewFolderButton.gif (982 bytes)

In Probe, items such as compressed archives and remote connections are handled as ordinary folders in some aspects. Therefore, not only ordinary folders, but also compressed archives (ZIP, ARJ, RAR, ACE, ...) and remote connections (FTP) are also created through the New Folder (F7) functionality..


NortonEmulation

LightBulb.gif (1120 bytes)
Did You Know...

Norton Commander (NC) was an popular file manager used under MS DOS. Probe can emulate a subset of the user interface of NC. Several keyboard navigators are the same in Probe:

  • F4 opens the selected files in a text editor.
  • F5 copies files from one Folder Browser to the companion Folder Browser.
  • F6 moves files from one browser to another.
  • F7 creates new subfolders.
  • F8 recycles files
  • TAB flips input focus within the companion browser pair, from one Folder Browser to the other one.


NortonUI

LightBulb.gif (1120 bytes)
Did You Know...

Probe can emulate a subset of the Norton Commander (NC) user interface. To get a NC looking Probe main window layout, open the Extra Caption (see previous tip) menu, and select the menu item Norton Classic.

A number of keyboard accelerators shared by Probe and NC are:

F5 - Copy Files
F6 - Move Files
F7 - Create New Folder
F8 - Recycle Files
TAB - Activate Companion Browser
Insert - Select file and advance cursor
Alt-F1 - Navigate to Folder
Alt-F2 - Navigate to Folder


OpenZip

LightBulb.gif (1120 bytes)
Did You Know...

ZipAbv.gif (10864 bytes) When a Zip archive is shown in a Folder Browser, you can double click it to browse the files within the Zip archive.

ZipInside.gif (10087 bytes) Probe then opens the Zip archive in the active Folder Browser, and you can access the files within it almost as an ordinary subfolder.


RecSelectFindFiles

LightBulb.gif (1120 bytes)
Did You Know...

One way of searching for files, besides the Probe File Search dialog (Ctrl-F), is to use recursive selections. Say we want to search all subfolders relative a given base folder for a certain file:

  1. Point a Folder Browser to the base folder.
  2. Select the Edit pulldown menu item Select..., or press Num-Plus.
  3. In the wildcard selection dialog, edit the filename to be searched for.
  4. Then click the option Recursively select in subfolders.
  5. When pressing OK, Probe searches in all subfolders for the given filename.
  6. If a matching file could be found, the path from the base folder to the item is now hilighted.

To deselect files in many folders at once, use keyboard accelerator Ctrl-G, or Edit pulldown menu item Global Deselect...


RunProgInZip

LightBulb.gif (1120 bytes)
Did You Know...

When wanting to run a Setup.exe program located within a ZIP archive, there is no need to manually extract the archive. When double clicking Setup.exe, Probe will query whether to unpack all other files in the archive before running the program.

This saves you the effort of creating a temporary directory and cleaning up afterwards.

This process of transparently making files in compressed and/or remote storage locally available is referred to as File Realizations.


SelAlg

LightBulb.gif (1120 bytes)
Did You Know...

When working with a pair of Folder Browsers, Probe can be used to track similarities and differences in between the two folders, through the concept of Selection Algebra.

Say we want to select all filenames in a certain folder that don't exist in the companion folder. This how to do it:

  1. Point two Folder Browsers to the directories to be compared.
  2. Select all files in both folders, for example through Ctrl-A.
  3. Activate one of the Folder Browsers. Press Shift-F6, or select the item Selection Algebra... from the Tools pulldown menu.
  4. The Selection Algebra dialog should be set to deselect the files in the second folder that have filenames used in the first folder.
  5. After pressing OK, only the files in the second directory that have no corresponding file in the first directory remains hilighted.


SelAlgRec

LightBulb.gif (1120 bytes)
Did You Know...

Probe uses the current setting for subfolder handling when performing Selection Algebra.

As a consequence, two individual folders can be compared, two entire directory structures can be compared, two multi-folder selections (recursive selections) can be compared, or two directory structures filtered through the current file-filter can be compared..


SelectionConcept

LightBulb.gif (1120 bytes)
Did You Know...

The file selection concept of Probe is slightly different than that in most other file managers. In for example MS Explorer, files can only be selected in a single folder. When leaving that folder and later returning, or even when clicking in the white area of the file listing, the selection is lost.

When a file is selected in Probe, it will be hilighted in all browsers displaying the file, and when leaving a folder, and later returning, the file remains selected. This is necessary to facilitate multi folder (recursive) selections.

Some useful accelerators for selections are:

  • Ctrl-A Select all items in current folder
  • Ctrl-Q Deselect all items in current folder
  • Ctrl-G Global deselect, removes selections
    in all folders opened in Probe
  • Num-Plus Select files using wildcards
  • Num-Minus Deslect files using wildcards


SelectionConceptExample

LightBulb.gif (1120 bytes)
Did You Know...

To show the power of multi-folder selections, a hypothetic backup example is constructed here. The example assumes a Probe main window layout containing two Folder Browsers.

Suppose we want to make a backup copy of all HTML and MS Word documents in the folder C:\My Project and its subfolders. We want to copy them to the folder H:\My Backup.

  1. Point one Folder Browser to the target directory H:\My Backup.
  2. In the companion Folder Browser, press Num-Plus to open the wildcard selection dialog (Numeric keypad, addition key).
  3. Specify the filename wildcard *.htm,*.doc, and set the option Recursively select in subfolders, and then press OK. Probe now iterates recursively in all subfolders of H:\My Backup and selects files matching the wildcard.
  4. To copy the files to the target directory, press keyboard accelerator F5. This brings up the File Operation Dialog.
  5. In this dialog, make sure the setting Recursive selections is set in the Subfolders section of the dialog.
  6. Press OK to start the operation. The files are now backed up to the H:\My Backup directory.

Using the pattern above, only the files in a certain folder structure matching the filename wildcard pattern are copied.


SelfExtractCAB

LightBulb.gif (1120 bytes)
Did You Know...

Probe allows for crating self-extracting compressed archives with GUI frontends. This is how to create a self extracting CAB archive:

  1. Select the file to be compressed.
  2. Press Alt-F7, or select file popup menu item Compress.
  3. Select archive type CAB-file, and select target directory and subfolder handling.
  4. Press OK, a new CAB specific dialog is shown.
  5. Check the option Create a self extracting archive.
  6. Optionally select a file to be opened by the archive on completing extraction. This could be a Setup.exe file.
  7. Optionally provide an archive comment, shown by the GUI self extractor.
  8. Press OK, and a self-extracting archive is created.


Settings

LightBulb.gif (1120 bytes)
Did You Know...

The Probe main window pulldown menu Settings provide access to most dialogs controlling settings within Probe. If the Settings menu is not visible, you must click in a Folder or Tree Browser to make it appear. The following categories of settings are available in this menu:

Browsers | The dialog opened from here contains settings relating to Folder and Tree Browsers, and some miscellaneous settings.
File Operations | This dialog contain all settings relating to the options relating to file operations.
Paths | This menu item opens a dialog controlling several paths used by Probe.
Compression | Settings relating to the handling of compressed archives are available from the dialog opened by this menu item.
Remote | This dialog control settings relating to remote connections (FTP) handled by Probe.
Realization | File Realizations refer to compressed and remote files locally cached by Probe. This dialog control some settings relating to File Realizations.
Performance | This dialog gives access to some settings relating to the performance of disk operation.


SettingsCompression

LightBulb.gif (1120 bytes)
Did You Know...

In order to browse and modify some types of compressed archives, external compression programs, not shipped with Probe are needed.

To inform Probe on the locations of required compression programs, open the Settings pulldown menu, select item Compression.

ARJ.EXE | Needed to browse, create or modify compressed archives of *.ARJ type.
JAR32.EXE | Needed in order to browse, create or modify archive of *.J type.
RAR.EXE | Needed to create or modify archives of *.RAR type. NOTE: *.RAR archives can be browsed and extracted by Probe without RAR.EXE.
ACE32.EXE | Needed in order to create or modify archives of *.ACE type. NOTE: *.ACE archives can be browsed and extracted by Probe without ACE32.EXE.


ShiftDelete

LightBulb.gif (1120 bytes)
Did You Know...

When active in a Folder Browser and pressing Delete, the selected files are sent to the Recycle Bin. To avoid sending files to the Recycle Bin and erase them immediately (irreversible) press Shift-Delete.


ShiftDeleteOption

LightBulb.gif (1120 bytes)
Did You Know...

If you don't use the Recycle Bin very often, there's a setting so that files are deleted rather than sent to the Recycle Bin when the keyboard accelerator Delete is pressed. This setting is available from the Probe main window pulldown menu Settings, menuitem Browsers, in the group Recycling Settings.

The keyboard accelerator Shift-Delete deletes files (no recycling). Ctrl-Shift-Delete also deletes files, the difference being that the latter one always treats subfolders as fully selected. Ctrl-Shift-Delete is useful when working with multi-folder selections, but wanting to delete entire directories.


ShiftDisk

LightBulb.gif (1120 bytes)
Did You Know...

To go to the local C:\ drive in Probe, press Shift-C when active in a Folder Browser. To go to D:\, press Shift-D, ...etc. These commands jumps to the most recently visited folder of the particlar drive.


SizeFormat

LightBulb.gif (1120 bytes)
Did You Know...

SizeFormat.gif (3567 bytes) The precision used when displaying file size can be adjusted by right clicking the Size column header.


SkipFancyIcon

LightBulb.gif (1120 bytes)
Did You Know...

DiskSettings.gif (10464 bytes) Updating the contents of networked folders or CD-Rom folders can sometimes be slow. For a slight speedup, Probe can be instructed to use plain icons rather than extracting icons located within the files.

To activate this option, right click the drive for which update is slow, and invoke the file popup menu item Disk Settings for it. In the dialog that is opened, check the option Skip fancy icons.


StorageSpecificMenu

LightBulb.gif (1120 bytes)
Did You Know...

StorageSpecificMenuZip.gif (2989 bytes) When browsing for example a ZIP archive in Probe, a Zip menu appears among the pulldown menus. When browsing local disk storage, there is a Disk menu available at the same position.

This menu is referred to as the storage specific menu, since it contains commands specific to the particular type of folder being browsed.

The storage specific menu when browsing an FTP connections is shown below.

StorageSpecificFTP.gif (5966 bytes)


SumContentsSize

LightBulb.gif (1120 bytes)
Did You Know...

Normally when displaying subfolders in a Folder Browser the size of their contents is not shown, the size column is empty.

To find the size of all items within one or several subfolders, select the subfolders and bring up a file popup menu for these items. Invoke the item Sum Contents Size. The same functionality is available using Ctrl-F9. Probe will iterate on the selected folders and then display the size of their contents in the size column.

 SumContentsSize.gif (4359 bytes)


TabCompanion

LightBulb.gif (1120 bytes)
Did You Know...

A pair of companion browsers consists of two Folder Browsers that are used as source and target during file operations.

When active in one of the Folder Browsers, and wanting to display a subfolder of that Folder browser in the companion browser, one can put the cursor on top of that directory, and press Shift-TAB.


TextListing

LightBulb.gif (1120 bytes)
Did You Know...

Probe can be used to produce a directory text listing, that is, a listing containing all selected folders and files relative the current folder. The listing is output to a text document. This is how to do it:

1 - Navigate a Folder Browser from which the listing is to start. Items above this folder are not included in the listing.

2 - Select the files and folders to be included in the listing. To select all files and folders, press Ctrl-A.

3 - From the main window Tools pulldown menu, select item Directory Text Listing... or press Shift-F7.

4 - In the dialog that opens, select subfolder handling method, set listing order (breadth first/depth first) and the target text file for the listing output.

5 - Press OK to start generate the listing.

NOTE: To include all items in subfolders in the diretory listing, use subfolder setting Treat as fully selected. To only include selected items within subfolders, use the setting Recursive selections.


ToolbarOnOff

LightBulb.gif (1120 bytes)
Did You Know...

In Folder and Tree Browsers, the toolbar can be disabled and enabled from the White Area Popup menu. Right click in the background area of the browser, then select popup menu Caption, Toolbar, ... to access this setting.

ToolbarEnabDisab.gif (2317 bytes)


TopmostWindow

LightBulb.gif (1120 bytes)
Did You Know...

TopmostWindow.gif (7220 bytes) Probe can be turned into a top level window by using the Extra Caption menu item Topmost Window. Probe will then be in front of other windows, also when it does not have input focus.


TreeBrowser

LightBulb.gif (1120 bytes)
Did You Know...

ShellTreeSmall.gif (18303 bytes) A Tree Browser displays the folder structure of your storage. It is similar in functionality as the tree control in MS Explorer. The Tree Browser is used as a navigation tool, and as a Drag&Drop source/target.

The Probe main window can contain zero, one, two or more Tree Browsers.

You can move the Tree Browser within the Probe main window, and reposition it, by clicking it's title bar and dragging it.


UICompressed

LightBulb.gif (1120 bytes)
Did You Know...

Files within compressed archives can be accessed almost as files in ordinary subfolders. To view a text file within a ZIP archive, press F4. To open an image located in a CAB archive, double click it. Probe takes care of running the appropriate compression utility in the background.


VDrive

LightBulb.gif (1120 bytes)
Did You Know...

Probe can browse and manipulate many different types of storage types/medias, such as local disks, networked disks, shell folders, Zip archives, Ace archives, Cab archives, FTP connections, File Collectors, ...etc.

The entire storage is arranged in a tree rooted at the desktop, and this storage tree contains storage type boundaries. The local drive C:\ located within My Computer represent a storage type boundary, since the former is disk storage, and the latter a shell folder. Also, the archive C:\MyBackup\MyDocs.zip represent a storage type boundary, since a Zip archive is not manipulated in the same way as disk storage.

Probe uses the term VDrive to denote such storage type boundaries. It's a shorthand notation for Virtual Drive.


SortMenu

LightBulb.gif (1120 bytes)
Did You Know...

If you right click the background area of a Folder Browser, a popup menu referred to as the White Area Popup Menu appears. This menu contains quite a few settings controlling the appearance and functionality of Folder Browsers.

On this menu, there's a sumenu Sort. This controls the order with which files are sorted in a Folder Browser.

WhiteAreaSorting.gif (29886 bytes)